Get a location by ID
get
/Location/{id}
Note: The FHIR API endpoints described below are currently pending production deployment for electronic health record (EHR) environments. Developers are welcome and encouraged to develop against the specifications in anticipation of production availability, which will be announced at a later date.
Retrieves an individual location by the associated ID.
Request
Path Parameters
-
id(required): string
The logical resource ID.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The credentials to authenticate a consumer to the service. This should be the OAuth2 Bearer Token.
There's no request body for this operation.
Back to TopResponse
200 Response
Successful retrieve response.
Root Schema : Location
Type:
Show Source
object-
address:
address
The physical location.
-
id(required): string
-
managingOrganization:
managingOrganization
The organization responsible for provisioning and upkeep.
-
name(required): string
The name of the location as used by humans.
-
resourceType(required): string
Allowed Values:
[ "Location" ] -
status: string
The following statuses are supported:
activesuspendedinactive
-
telecom: array
telecom
The contact details of the location.
Nested Schema : managingOrganization
The organization responsible for provisioning and upkeep.
Match All
The organization responsible for provisioning and upkeep.
Show Source
Nested Schema : Address
Type:
Show Source
object-
city: string
The name of city, town, and so on.
-
country: string
The country, which can be the International Organization for Standardization (ISO) 3166 two-letter or three-letter code.
-
line: array
line
The street name, number, direction, P.O. Box, and so on.
-
postalCode: string
The U.S. ZIP Codes.
-
state: string
The subunit of the country (abbreviations are supported).
Nested Schema : line
Type:
arrayThe street name, number, direction, P.O. Box, and so on.
Show Source
Nested Schema : ContactPoint
Type:
Show Source
object-
system: string
(USCDI) The following values are supported:
phonefaxemailpagerurlsmsother
-
value: string
The actual contact point details.
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
Show Source
object-
issue(required): array
issue
-
resourceType(required): string
Allowed Values:
[ "OperationOutcome" ]